x

Get exclusive deals, news, and articles.

x

Get exclusive deals, news, and articles.

Cart 0
PUNCH Evo

Antares

PUNCH Evo

$39.99

Antares license authorization requires an iLok USB smart key (sold separately) and the ability to access ilok.com (on any computer).

 

PUNCH Evo is a unique processor that, as its name implies, lets you quickly and easily give your vocal more dynamic impact, allowing it to cut through a dense mix with clarity and power. Combining advanced dynamic processing with an incredibly easy-to-use interface, PUNCH Evo gives professional results while letting you focus on your music.

SYSTEM REQUIREMENTS

Antares license authorization requires an iLok USB smart key (sold separately) and the ability to access ilok.com (on any computer).

 

Macintosh Versions

(Intel processors only)

 

AAX Native (64 and 32-bit compatible)

  • Pro Tools 10.3.6 or later (except Pro Tools SE and M-Powered Essential, which do not accept 3rd party plugins) 
  • Mac OS 10.6.8 or later as required by your version of Pro Tools

RTAS 

  • Pro Tools or Pro Tools LE 7.x - 10.x (except Pro Tools SE and M-Powered Essential, which do not accept 3rd party plugins) 
  • Pro Tools HD 7.2 or Pro Tools LE 7.3 or later required for Graphical Mode sync
  • Mac OS 10.5.x or later as required by your version of Pro Tools

VST (64 and 32-bit compatible)

  • A certified compatible VST host program that supports VST3 format.
  • Mac OS 10.5.x or later as required by your host

Audio Units (64 and 32-bit compatible) 

  • A certified compatible host program that supports the AU format
  • Mac OS 10.5.x or later as required by your host

 

PC Versions

 

AAX (64 and 32-bit compatible)

  • Pro Tools 10.3.6 or later (except Pro Tools SE and M-Powered Essential, which do not accept 3rd party plugins) 
  • Windows Vista or later as required by your version of Pro Tools

RTAS

  • Pro Tools or Pro Tools LE 7.x - 10.x (except Pro Tools SE and M-Powered Essential, which do not accept 3rd party plugins)
  • Pro Tools HD 7.2 or Pro Tools LE 7.3 or later required for Graphical Mode sync
  • Windows 7, Vista, or XP as required by your version of Pro Tools

VST (64 and 32-bit compatible)

  • A certified compatible host program that supports the VST format.
  • Windows 7, Vista, or XP as required by your host
This product is delivered digitally. Easy secure download instructions and license information will be emailed to you after you have completed placing your order. Please note this this is usually very fast however, occasionally it may take as long as one to two business days.

Share this Product


More from this collection